org.apache.ignite.internal.visor.performancestatistics

## Enum VisorPerformanceStatisticsOperation

- java.lang.Object
- - java.lang.Enum<VisorPerformanceStatisticsOperation>
  - - org.apache.ignite.internal.visor.performancestatistics.VisorPerformanceStatisticsOperation

All Implemented Interfaces:
  Serializable, Comparable<VisorPerformanceStatisticsOperation>

    public enum VisorPerformanceStatisticsOperation
    extends Enum<VisorPerformanceStatisticsOperation>

Performance statistics operation options.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ROTATE` Rotate collecting performance statistics in the cluster.
`START` Start collecting performance statistics in the cluster.
`STATUS` Get status of collecting performance statistics in the cluster.
`STOP` Stop collecting performance statistics in the cluster.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable VisorPerformanceStatisticsOperation` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static VisorPerformanceStatisticsOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorPerformanceStatisticsOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final VisorPerformanceStatisticsOperation START

Start collecting performance statistics in the cluster.

#### STOP

    public static final VisorPerformanceStatisticsOperation STOP

Stop collecting performance statistics in the cluster.

#### ROTATE

    public static final VisorPerformanceStatisticsOperation ROTATE

Rotate collecting performance statistics in the cluster.

#### STATUS

    public static final VisorPerformanceStatisticsOperation STATUS

Get status of collecting performance statistics in the cluster.

### Method Detail

#### values

    public static VisorPerformanceStatisticsOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorPerformanceStatisticsOperation c : VisorPerformanceStatisticsOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorPerformanceStatisticsOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable VisorPerformanceStatisticsOperation fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021